// 配置手册： https://cli.vuejs.org/zh/config/#vue-config-js
const { defineConfig } = require("@vue/cli-service");
module.exports = defineConfig({
  transpileDependencies: true,
  // publicPath: './',
  devServer: {
    port: 8058,
    proxy: {
      "/api/": {
        target: process.env.VUE_APP_DEV_PROXY,
        changeOrigin: true,
      },
    },
    // https://webpack.js.org/configuration/dev-server/#overlay
    client: {
      overlay: false,
    },
  },
});
